package com.zd.chemical.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;
import org.hibernate.validator.constraints.Length;

/**
 * 化学品报警记录对象 hxp_alarm_record
 *
 * @author liubo
 * @date 2022-06-16
 */
@ApiModel("化学品报警记录")
public class HxpAlarmRecord extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /**
     * 报警内容
     */
    @Excel(name = "报警内容")
    @Length(message = "报警内容长度不能超过200")
    @ApiModelProperty(value = "报警内容")
    private String alarmContent;
    /**
     * 报警类型（1 自动（过期），2 检测，3 手动）
     */
    @ApiModelProperty(value = "报警类型（1 自动（过期），2 检测，3 手动）")
    private Integer alarmType;
    /**
     * 报警方式（1.系统通知，2.声光报警，3.短信通知）
     */
    @Excel(name = "报警方式", readConverterExp = "1=.系统通知，2.声光报警，3.短信通知")
    @ApiModelProperty(value = "报警方式")
    private Integer alarmMode;
    /**
     * 实验室id
     */
    @Excel(name = "实验室id")
    @ApiModelProperty(value = "实验室id")
    private Long subId;
    /**
     * 设备编号
     */
    @Excel(name = "设备编号")
    @Length(message = "设备编号长度不能超过30")
    @ApiModelProperty(value = "设备编号")
    private String terminalNum;
    /**
     * 报警时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "报警时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "报警时间")
    private Date alarmTime;
    /**
     * 处理时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "处理时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "处理时间")
    private Date handlingTime;
    /**
     * 处理人id
     */
    @Excel(name = "处理人id")
    @ApiModelProperty(value = "处理人id")
    private Long handlingUserId;
    /**
     * 处理状态（1.待处理，2是已处理）
     */
    @Excel(name = "处理状态", readConverterExp = "1=.待处理，2是已处理")
    @ApiModelProperty(value = "处理状态")
    private Integer handlingStatus;
    /**
     * 处理内容
     */
    @Excel(name = "处理内容")
    @Length(message = "处理内容长度不能超过50")
    @ApiModelProperty(value = "处理内容")
    private String handlingContent;

    /**
     * 责任人（多个逗号分隔）
     */
    @ApiModelProperty(value = "责任人（多个逗号分隔）")
    private String liableUserIds;

    @ApiModelProperty(value = "是否有效（1 有效，0 无效）")
    private Integer hasValid;

    @ApiModelProperty(value = "库存ID")
    private Long stockId;

    @ApiModelProperty(value = "使用记录ID")
    private Long userecordId;

    private Long parentId;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setAlarmContent(String alarmContent) {
        this.alarmContent = alarmContent;
    }

    public String getAlarmContent() {
        return alarmContent;
    }

    public void setAlarmMode(Integer alarmMode) {
        this.alarmMode = alarmMode;
    }

    public Integer getAlarmMode() {
        return alarmMode;
    }

    public void setSubId(Long subId) {
        this.subId = subId;
    }

    public Long getSubId() {
        return subId;
    }

    public void setTerminalNum(String terminalNum) {
        this.terminalNum = terminalNum;
    }

    public String getTerminalNum() {
        return terminalNum;
    }

    public void setAlarmTime(Date alarmTime) {
        this.alarmTime = alarmTime;
    }

    public Date getAlarmTime() {
        return alarmTime;
    }

    public void setHandlingTime(Date handlingTime) {
        this.handlingTime = handlingTime;
    }

    public Date getHandlingTime() {
        return handlingTime;
    }

    public void setHandlingUserId(Long handlingUserId) {
        this.handlingUserId = handlingUserId;
    }

    public Long getHandlingUserId() {
        return handlingUserId;
    }

    public void setHandlingStatus(Integer handlingStatus) {
        this.handlingStatus = handlingStatus;
    }

    public Integer getHandlingStatus() {
        return handlingStatus;
    }

    public void setHandlingContent(String handlingContent) {
        this.handlingContent = handlingContent;
    }

    public String getHandlingContent() {
        return handlingContent;
    }

    public String getLiableUserIds() {
        return liableUserIds;
    }

    public void setLiableUserIds(String liableUserIds) {
        this.liableUserIds = liableUserIds;
    }

    public Integer getAlarmType() {
        return alarmType;
    }

    public void setAlarmType(Integer alarmType) {
        this.alarmType = alarmType;
    }

    public Integer getHasValid() {
        return hasValid;
    }

    public void setHasValid(Integer hasValid) {
        this.hasValid = hasValid;
    }

    public Long getStockId() {
        return stockId;
    }

    public void setStockId(Long stockId) {
        this.stockId = stockId;
    }

    public Long getUserecordId() {
        return userecordId;
    }

    public void setUserecordId(Long userecordId) {
        this.userecordId = userecordId;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }
}
